Timeline

List note types

Retrieve all available note types (e.g., meeting, call, email, note). Use these types when creating or filtering notes.

GET /v1/timeline/note-types

Responses

200 — Successful response

Content-Type: application/json

error
boolean required
data
array<object> required
data[].id
string (uuid) required
data[].user_id
string
data[].name
string required
data[].emoji
string | null
data[].created_at
string (date-time) required

Example

{
  "error": false,
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "created_at": "2026-09-17T02:39:21.306Z"
    }
  ]
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v1/timeline/note-types \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026